# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Enum YtPublicationState.State

    java.lang.Object
      java.lang.Enum<YtPublicationState.State>
          com.google.gdata.data.youtube.YtPublicationState.State

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<YtPublicationState.State>

Enclosing class:
  YtPublicationState

    public static enum YtPublicationState.State

extends java.lang.Enum<YtPublicationState.State>

Current state. This tag never appears on published (live) entries, so there is no state `PUBLISHED`.

Enum Constant Summary
`DELETED` Entry was removed by the owner.
`FAILED` The entry was not successfully processed.
`INCOMPLETE` The entry has not been completely defined yet, but it's been stored already.
`PROCESSING` The entry has just been uploaded and is not yet publicly available.
`REJECTED` The entry has been rejected.
`RESTRICTED` Entry is restricted for the current user, see reasonCode for details.

Method Summary
`static YtPublicationState.State` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static YtPublicationState.State[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INCOMPLETE

    public static final YtPublicationState.State INCOMPLETE

  The entry has not been completely defined yet, but it's been stored already. Either the entry data or the description is missing.

### PROCESSING

    public static final YtPublicationState.State PROCESSING

  The entry has just been uploaded and is not yet publicly available.

### REJECTED

    public static final YtPublicationState.State REJECTED

  The entry has been rejected.

### FAILED

    public static final YtPublicationState.State FAILED

  The entry was not successfully processed.

### DELETED

    public static final YtPublicationState.State DELETED

  Entry was removed by the owner.

### RESTRICTED

    public static final YtPublicationState.State RESTRICTED

  Entry is restricted for the current user, see reasonCode for details.

Method Detail

### values

    public static YtPublicationState.State[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (YtPublicationState.State c : YtPublicationState.State.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static YtPublicationState.State valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null